
/***** Start of primary nav ******/

.mega-menu-mob-only {
		display: none!important;
	}
	.mega-menu-desk-only {
		display: block!important;
	}
/*===================== 
	mega menu styles 
=======================*/

#mega-menu-wrap-menu-primary{background:#fff!important; position:unset!important;}
#mega-menu-wrap-menu-primary #mega-menu-menu-primary{position:unset!important;display: flex!important;}
#mega-menu-wrap-menu-primary #mega-menu-menu-primary > li.mega-menu-megamenu > ul.mega-sub-menu{top:130px!important;}
.mega-menu-cont {
	padding:80px 20px 20px 20px;
	width: 100%;
	box-sizing: border-box;
	display: flex;
	flex-wrap: wrap;
	align-items: flex-start;
}
.mega-menu-col-1 {
	display: flex;
	flex-wrap: wrap;
	flex-grow: 1;
}
.mega-menu-col-1 p {
	width: 100%;
	display: block;
	font-size: 20px;
	font-weight: 700;
	color:#17244d;
}
nav.primary ul li .mega-menu-col-1 a {
	display: flex!important;
	align-items: center!important;
	gap:20px!important;
	color:#000!important;
	text-align: left!important;
	margin:0!important;
}
nav.primary ul li .mega-menu-col-1 a:hover {
	background:#fff!important;
}
.mega-menu-col-1 a img {
	width: 100%;
	max-width:60px!important;
	display: block;
	height: auto;
}

#menu-button {
	display: none;
}
nav.mobile {
	display: none;
}
nav.primary {
	padding: 0;
	display: block;
	margin: 0;
	width: 100%;
	position: static;
}
nav.primary .mega-menu {
	margin: 0!important;
	padding: 0!important;
	display: flex!important;
	
}
nav.primary ul li {
	display:block;
	margin: 0!important;
	padding:0!important;
	list-style-type: none;
	transition: .2s ease-in;
}
nav.primary ul li a {
	color:#000!important;
	font-family: "Outfit", sans-serif!important;
	text-transform: uppercase!important;
	text-decoration: none!important;
	font-size: clamp(13px, 1.2vw, 16px)!important;
	padding: 10px 12px!important;
	display: block!important;
	margin: 0!important;
	text-align: center!important;
	-webkit-transition: .4s ease-in;
	-moz-transition: .2s ease-in;
	-o-transition: .2s ease-in;
	transition: .2s ease-in!important;
	font-weight:400!important;
	cursor: pointer!important;
	white-space: nowrap!important;
	height: auto!important;
}

nav.primary ul li a i {
	display:none!important;
	
}
nav.primary ul > li > a:hover {
	background:#17244d!important;
	color:#fff!important;

}
/* Appearance of the sub-level links */
nav.primary ul > li > li > a {
	text-align: left!important;
	color:#fff!important;
	margin: 0!important;
}
/* Appearance of the sub-level links on hover */
nav.primary ul > li > li a:hover {
	color:#67cce0!important;
}
/* This controls the Primary nav dropdowns for sublinks. Should not have to edit this too muuch */
nav.primary ul ul {
	left:0;
	position: absolute!important;
	z-index: 100!important;
}
nav.primary ul ul ul {
	position: absolute!important;
	left: 100%!important;
	top: 0!important;
}

nav.primary ul ul li {
	float: none!important;
	width: auto!important;
	min-width: 200px!important;
	position: relative!important;
	margin: 0!important;
	display: block!important;
}


@media screen and (max-width: 1000px) {
	#mega-menu-wrap-menu-primary #mega-menu-menu-primary{flex-wrap: wrap;}
	.mega-menu-mob-only {
		display: block!important;
	}
	.mega-menu-desk-only {
		display: none!important;
	}
	
	.mega-menu-toggle {
		display: none!important;
	}
	
	#mega-menu-wrap-menu-primary {
		display: block;
	}
	.mega-sub-menu {
		display: none!important;
	}
	.mega-toggle-on > .mega-sub-menu {
		display: block!important;
	}
	
	
	/*==============================
		Mobile Nav Styles			
	================================*/
	nav.primary {
		display: none;
	}
	#menu-button {
		display: block;
	}
	#menu-button a {
		color: #0a2737;
		padding:10px;
		font-size: 30px;
		cursor: pointer;
	}
	.menu-toggle span {
		font-size: 20px;
	}
	nav.mobile {
		display: block;
		position: fixed;
		text-align: left;
		top: 0;
		left: -250px;
		width: 250px;
		height: 100%;
		background: #17244d;
		z-index: 1001;
		/* needs to be higher than #menu-button, adjust as needed */
		overflow: auto;
	}
	/* MENU HEADER SOCIAL MEDIA */
	nav.mobile .social-media a {
		position: relative;
		text-decoration: none;
		display: inline-block;
		font-size: 16px;
		word-spacing: 13px;
		padding: 0 0 0 15px;
		color:#67cce0!important;
	}
	nav.mobile .social-media a:hover,
	nav.mobile .social-media a:active {
		opacity: 0.7;
	}

	/* MENU HEADER STYLES */
	nav.mobile .mobile_top {
		position: relative;
		display: block;
		padding: 0;
		margin: 15px 0 10px 0;
		/*margin:40px 0 10px 0;*/
		color: #999;
		font-size: 18px;
		font-weight: 400;
	}
	/* MENU CLOSE 'X' BUTTON */
	nav.mobile .menu-toggle {
		position: absolute;
		padding: 3px 8px 3px;
		font-family: Arial, sans-serif;
		font-size: 24px;
		font-weight: bold;
		line-height: 1;
		background: #222;
		color: #999;
		text-decoration: none;
		top: -4px;
		/*top:-35px;*/
		right: 13px;
		cursor: pointer;
	}
	nav.mobile .menu-toggle:hover {
		/* Menu close button on hoveer */
		color: #fff;
	}
	/* MENU LIST STYLE */
	nav.mobile ul {
		position: relative!important;
		list-style: none;
		font-weight: 300;
		margin: 0;
		padding: 0;
		width: 100%!important;
		left:0!important;
	}
	nav.mobile ul li {
		position: relative!important;
		width: 100%!important;
	}
	/* FIRST LEVEL */
	nav.mobile ul li a {
		position: relative!important;
		display: block!important;
		font-size: 14px!important;
		padding: 10px 10px 10px 15px!important;
		color: #fff!important;
		text-decoration: none!important;
		border-left: 4px #17244d solid!important;
		text-transform: uppercase!important;
		cursor: pointer!important;
		width: 100%!important;
		height: auto!important;
		background:#17244d!important;
		
	}
	nav.mobile ul li a:hover {
		background: rgba(45, 45, 45, 0.5)!important;
		color: #fff!important;
		border-left: 4px #f4712a solid!important;
		/* border highlight - Change to fit match site colors */
	}
	nav.mobile ul li a i {
		margin-left: 10px!important;
	}
	/* SECOND LEVEL */
	nav.mobile ul li li:last-child {
		border: none;
	}
	nav.mobile ul li li a {
		background: #1d2d60!important;
		position: relative!important;
		display: block!important;
		padding: 10px 10px 10px 15px!important;
		border-left: 4px #1d2d60 solid!important;
		color:#fff!important;
		text-decoration: none!important;
		text-transform: uppercase!important;
	}
	nav.mobile ul li li a:hover {
		background: rgba(65, 65, 65, 0.5)!important;
	}
	/* THIRD LEVEL */
	nav.mobile ul li li li:last-child {
		border: none;
	}
	nav.mobile ul li li li a {
		background: #233672!important;
		position: relative!important;
		display: block!important;
		padding: 10px 10px 10px 25px!important;
		color: #fff!important;
		text-decoration: none!important;
		border-left: 4px #233672 solid!important;
	}
	nav.mobile ul li li li a:hover {
		background: rgba(85, 85, 85, 0.5)!important;
	}
	/* FOURTH LEVEL */
	nav.mobile ul li li li li:last-child {
		border: none;
	}
	nav.mobile ul li li li li a {
		background: #283d7f!important;
		position: relative!important;
		display: block!important;
		padding: 10px 10px 10px 25px!important;
		color: #fff!important;
		text-decoration: none!important;
		border-left: 4px #283d7f solid!important;
	}
	nav.mobile ul li li li li a:hover {
		background: rgba(85, 85, 85, 0.5)!important;
	}
	
	.nav-footer {
		color: #277eab;
		position: relative;
		text-align: center;
		font-size: 14px;
		line-height: 16px;
		padding: 15px 0;
	}
	/* FONT AWESOME ICONS */

}
